Package org.firebirdsql.jaybird.parser

## Class UnexpectedEndOfInputException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.firebirdsql.jaybird.parser.UnexpectedEndOfInputException

All Implemented Interfaces:
  `java.io.Serializable`

    @InternalApi
    public class UnexpectedEndOfInputException
    extends java.lang.RuntimeException

Thrown when the tokenizer required a character, but instead the end of input was reached.

Since:
  5
Author:
  Mark Rotteveel
See Also:
  Serialized Form

### Constructor Summary

Constructors
`UnexpectedEndOfInputException​(java.lang.String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnexpectedEndOfInputException

    public UnexpectedEndOfInputException​(java.lang.String message)